package ru.yandex.webmaster3.storage.importer.model.postprocess;

import lombok.AllArgsConstructor;

import ru.yandex.webmaster3.core.util.json.polymorphic.Discriminator;

/**
 * Created by Oleg Bazdyrev on 25/09/2020.
 */
@AllArgsConstructor
public enum ImportPostprocessType implements Discriminator<ImportPostprocessPolicy> {
    NONE(ImportPostprocessNone.class),
    MERGE(ImportPostprocessMerge.class),
    ;

    private final Class<? extends ImportPostprocessPolicy> dataClass;

    @Override
    public Class<? extends ImportPostprocessPolicy> getDataClass() {
        return dataClass;
    }
}
